# DataExchange
TKSTEPBase
StepRepr

# StepRepr_CompoundRepresentationItem Class Reference

Added for Dimensional Tolerances
.

`#include <StepRepr_CompoundRepresentationItem.hxx>`

Inheritance diagram for StepRepr_CompoundRepresentationItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_CompoundRepresentationItem ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepRepr_HArray1OfRepresentationItem)&item_element)
Standard_EXPORT Handle_StepRepr_HArray1OfRepresentationItem | ItemElement () const
Standard_EXPORT Standard_Integer | NbItemElement () const
Standard_EXPORT void | SetItemElement (const Handle(StepRepr_HArray1OfRepresentationItem)&item_element)
Standard_EXPORT Handle_StepRepr_RepresentationItem | ItemElementValue (const Standard_Integer num) const
Standard_EXPORT void | SetItemElementValue (const Standard_Integer num, const Handle(StepRepr_RepresentationItem)&anelement)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_HArray1OfRepresentationItem | theItemElement

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_CompoundRepresentationItem::StepRepr_CompoundRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_CompoundRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem. Reimplemented in StepRepr_ValueRange.

Standard_EXPORT void StepRepr_CompoundRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | item_element
| ) |

Standard_EXPORT Handle_StepRepr_HArray1OfRepresentationItem StepRepr_CompoundRepresentationItem::ItemElement | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_CompoundRepresentationItem::ItemElementValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepRepr_CompoundRepresentationItem::NbItemElement | ( |  | ) | const

Standard_EXPORT void StepRepr_CompoundRepresentationItem::SetItemElement | ( | const Handle(StepRepr_HArray1OfRepresentationItem)& | item_element | ) |

Standard_EXPORT void StepRepr_CompoundRepresentationItem::SetItemElementValue | ( | const Standard_Integer | num,
|  | const Handle(StepRepr_RepresentationItem)& | anelement
| ) |

## Field Documentation

Handle_StepRepr_HArray1OfRepresentationItem StepRepr_CompoundRepresentationItem::theItemElement `[private]`

The documentation for this class was generated from the following file:

- StepRepr_CompoundRepresentationItem.hxx